<?php declare(strict_types=1);

namespace App\Dto\Request\Private\CaptchaToken;

use App\Dto\Builder\CaptchaToken;
use App\Dto\Request\Dto;

final readonly class Index extends Dto
{
    public function __construct(
        private CaptchaToken $captchaTokenDto,
        private int $page
    ) { }

    public function getCaptchaTokenDto(): CaptchaToken
    {
        return $this->captchaTokenDto;
    }

    public function getPage(): int
    {
        return $this->page;
    }
}
